net.minecraft.client.particle

## Class EffectRenderer

- java.lang.Object
- - net.minecraft.client.particle.EffectRenderer

-     public class EffectRenderer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectRenderer(World par1World, RenderEngine par2RenderEngine)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBlockDestroyEffects(int par1, int par2, int par3, int par4, int par5)`
    `void` | `addBlockHitEffects(int par1, int par2, int par3, int par4)` Adds block hit particles for the specified block.
    `void` | `addBlockHitEffects(int x, int y, int z, MovingObjectPosition target)`
    `void` | `addEffect(EntityFX par1EntityFX)`
    `void` | `addEffect(EntityFX effect, Object obj)`
    `void` | `clearEffects(World par1World)`
    `String` | `getStatistics()`
    `void` | `renderLitParticles(Entity par1Entity, float par2)`
    `void` | `renderParticles(Entity par1Entity, float par2)` Renders all current particles.
    `void` | `updateEffects()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectRenderer

          public EffectRenderer(World par1World,
                        RenderEngine par2RenderEngine)

  - ### Method Detail

    - #### addEffect

          public void addEffect(EntityFX par1EntityFX)

    - #### updateEffects

          public void updateEffects()

    - #### renderParticles

          public void renderParticles(Entity par1Entity,
                             float par2)

      Renders all current particles. Args player, partialTickTime

    - #### renderLitParticles

          public void renderLitParticles(Entity par1Entity,
                                float par2)

    - #### clearEffects

          public void clearEffects(World par1World)

    - #### addBlockDestroyEffects

          public void addBlockDestroyEffects(int par1,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5)

    - #### addBlockHitEffects

          public void addBlockHitEffects(int par1,
                                int par2,
                                int par3,
                                int par4)

      Adds block hit particles for the specified block. Args: x, y, z, sideHit

    - #### getStatistics

          public String getStatistics()

    - #### addEffect

          public void addEffect(EntityFX effect,
                       Object obj)

    - #### addBlockHitEffects

          public void addBlockHitEffects(int x,
                                int y,
                                int z,
                                MovingObjectPosition target)